Retrieve a specific report generation information
curl --request GET \
--url https://api.gcore.com/billing/org/v1/reports/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/reports/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"client_id": 123,
"task_type": "ClosingPeriod",
"status": "Pending",
"processing_notes": {
"celery_group_id": "<string>",
"period": "<string>",
"records_to_process": 123,
"errors": [
{}
],
"warnings": [
{}
]
},
"parameters": {
"type": "<string>",
"date_from": "2023-12-25",
"date_to": "2023-12-25",
"client_id": 123
}
}reports
Retrieve a specific report generation information
Retrieve detailed information about a specific report generation task by its ID.
GET
/
billing
/
org
/
v1
/
reports
/
{id}
Retrieve a specific report generation information
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Response
Request successful.
Task creation time
Task update time
ClosingPeriod-closing_periodImportData-import_dataReport- reportStopSubscriptions-stop_subscriptions
Available options:
ClosingPeriod, ImportData, Report, StopSubscriptions Pending- pendingInProgress-in_progressCompleted- completedFailed- failedCancelled- cancelled
Available options:
Pending, InProgress, Completed, Failed, Cancelled Processing notes. Contains additional information about the task processing.
Show child attributes
Show child attributes
Parameters for the task. The structure depends on the task type. For report tasks, see available templates and their parameters at the reports templates operation.
Show child attributes
Show child attributes
Was this page helpful?